#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Socket6
%define		pnam	Socket6
Summary:	Socket6 Perl module
Summary(cs.UTF-8):	Modul Socket6 pro Perl
Summary(da.UTF-8):	Perlmodul Socket6
Summary(de.UTF-8):	Socket6 Perl Modul
Summary(es.UTF-8):	Módulo de Perl Socket6
Summary(fr.UTF-8):	Module Perl Socket6
Summary(it.UTF-8):	Modulo di Perl Socket6
Summary(ja.UTF-8):	Socket6 Perl モジュール
Summary(ko.UTF-8):	Socket6 펄 모줄
Summary(nb.UTF-8):	Perlmodul Socket6
Summary(pl.UTF-8):	Moduł Perla Socket6
Summary(pt.UTF-8):	Módulo de Perl Socket6
Summary(pt_BR.UTF-8):	Módulo Perl Socket6
Summary(ru.UTF-8):	Модуль для Perl Socket6
Summary(sv.UTF-8):	Socket6 Perlmodul
Summary(uk.UTF-8):	Модуль для Perl Socket6
Summary(zh_CN.UTF-8):	Socket6 Perl 模块
Name:		perl-Socket6
Version:	0.23
Release:	6
License:	BSD-like
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Socket6/%{pnam}-%{version}.tar.gz
# Source0-md5:	2c02adb13c449d48d232bb704ddbd492
Patch0:		pod-syntax.patch
URL:		http://search.cpan.org/dist/Socket6/
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Socket6 is a module that implements a IPv6 API for Perl programs.

%description -l pl.UTF-8
Socket6 jest modułem umożliwiającym dostęp do usług IPv6 z poziomu
programów Perla.

%prep
%setup -q -n %{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
pod2man --section=3pm Socket6.pm >Socket6.3pm

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man3

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install Socket6.3pm $RPM_BUILD_ROOT%{_mandir}/man3

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorarch}/Socket6.pm
%dir %{perl_vendorarch}/auto/Socket6
%{perl_vendorarch}/auto/Socket6/Socket6.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Socket6/Socket6.so
%{_mandir}/man3/*
%changelog
* Thu Jun 13 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Socket6.git;a=log;h=master

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> 5b5003c
- fix pod syntax error
- rel 6

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 8585433
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> cf482d5
- rel 4

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> dce61ca
- release 3

* Sat Jun 05 2010 radek <radek@pld-linux.org> 3491139
- release 2

* Thu Oct 15 2009 amateja <amateja@pld-linux.org> 918e7e3
- updated to 0.23

* Fri Mar 13 2009 hawk <hawk@pld-linux.org> 1203a20
- release 2

* Sun Mar 02 2008 radek <radek@pld-linux.org> 9a2a20b
- version 0.20

* Fri Feb 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 678cb5e
- rel 2

* Tue Mar 13 2007 Jakub Bogusz <qboosh@pld-linux.org> df54bf5
- generic URL, grepable files

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1babfef
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e80ec47
- converted to UTF-8

* Mon Feb 27 2006 Maciej Pijanka <agaran@pld-linux.org> f033136
- up to 0.19 rel 1

* Mon Jun 13 2005 petec <petec@pld-linux.org> 5ead017
- up to 0.18

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 6300954
- formatting

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> 1ad5ea7
- spaces->tabs
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 8cdb1b3
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Thu May 06 2004 ankry <ankry@pld-linux.org> e4f88c2
- fixed perl-devel BR

* Wed May 05 2004 ankry <ankry@pld-linux.org> 5deb819
- cosmetics

* Sun May 02 2004 ankry <ankry@pld-linux.org> 3a4ba47
- tests added, license fixed, cosmetics

